| Home | Libraries | People | FAQ | More

## Function template find

boost::compute::find

## Synopsis

    // In header: <boost/compute/algorithm/find.hpp>

    template<typename InputIterator, typename T>
      InputIterator
      find(InputIterator first, InputIterator last, const T & value,
           command_queue & queue = system::default_queue());

## Description

Returns an iterator pointing to the first element in the range [`first`, `last`) that equals `value`.

Space complexity: \Omega(1)